<?php
class nexcraft_import_dummy_data {

	private static $instance;

	public static function init( ) {
		if ( ! isset( self::$instance ) && ! ( self::$instance instanceof nexcraft_import_dummy_data ) ) {
			self::$instance = new nexcraft_import_dummy_data;
			self::$instance->nexcraft_setup_actions();
		}

	}

	/**
	 * Setup the class props based on the config array.
	 */
	

	/**
	 * Setup the actions used for this class.
	 */
	public function nexcraft_setup_actions() {

		// Enqueue scripts
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'nexcraft_import_customize_scripts' ), 0 );

	}
	
	

	public function nexcraft_import_customize_scripts() {

	wp_enqueue_script( 'nexcraft-import-customizer-js', get_template_directory_uri() . '/assets/js/nexcraft-import-customizer.js', array( 'customize-controls' ) );
	}
}

$nexcraft_import_customizers = array(

		'import_data' => array(
			'recommended' => true,
			
		),
);
nexcraft_import_dummy_data::init( apply_filters( 'nexcraft_import_customizer', $nexcraft_import_customizers ) );